
From: Tom Rini <trini@kernel.crashing.org>

Replace cli() function calls with local_irq_disable() in shutdown / restart
code for pal4.

Signed-off-by: James Nelson <james4765@gmail.com>
Signed-off-by: Tom Rini <trini@kernel.crashing.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc/platforms/pal4_setup.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/ppc/platforms/pal4_setup.c~ppc32-remove-cli-sti-in-arch-ppc-platforms-pal4_setupc arch/ppc/platforms/pal4_setup.c
--- 25/arch/ppc/platforms/pal4_setup.c~ppc32-remove-cli-sti-in-arch-ppc-platforms-pal4_setupc	Wed Jan 19 15:40:58 2005
+++ 25-akpm/arch/ppc/platforms/pal4_setup.c	Wed Jan 19 15:40:58 2005
@@ -81,7 +81,7 @@ pal4_show_cpuinfo(struct seq_file *m)
 static void
 pal4_restart(char *cmd)
 {
-        __cli();
+        local_irq_disable();
         __asm__ __volatile__("lis  3,0xfff0\n \
                               ori  3,3,0x100\n \
                               mtspr 26,3\n \
@@ -95,7 +95,7 @@ pal4_restart(char *cmd)
 static void
 pal4_power_off(void)
 {
-	__cli();
+	local_irq_disable();
 	for(;;);
 }
 
_
